export const Environment = {
  NODE_ENV: 'NODE_ENV',
  SERVER_PORT: 'SERVER_PORT',
  SERVER_API_PREFIX: 'SERVER_API_PREFIX',
  SERVER_API_VERSION: 'SERVER_API_VERSION',
  CLIENT_URL: 'CLIENT_URL',
  LOGGER_MAX_FILE_SIZE: 'LOGGER_MAX_FILE_SIZE',
  LOGGER_MAX_AGE: 'LOGGER_MAX_AGE',
  TIME_ZONE: 'TZ',

  JWT_SECRET: 'JWT_SECRET',
  JWT_ISSUER: 'JWT_ISSUER',
  JWT_EXPIRATION: 'JWT_EXPIRATION',

  MAIL_HOST: 'MAIL_HOST',
  MAIL_PORT: 'MAIL_PORT',
  MAIL_NAME: 'MAIL_NAME',
  MAIL_USER: 'MAIL_USER',
  MAIL_PASSWORD: 'MAIL_PASSWORD',

  DB_HOST: 'DB_HOST',
  DB_PORT: 'DB_PORT',
  DB_USER: 'POSTGRES_USER',
  DB_PASSWORD: 'POSTGRES_PASSWORD',
  DB_NAME: 'POSTGRES_DB',

  RABBITMQ_PROTOCOL: 'RABBITMQ_PROTOCOL',
  RABBITMQ_HOST: 'RABBITMQ_HOST',
  RABBITMQ_PORT: 'RABBITMQ_PORT',
  RABBITMQ_USER: 'RABBITMQ_DEFAULT_USER',
  RABBITMQ_PASSWORD: 'RABBITMQ_DEFAULT_PASS',
  RABBITMQ_VHOST: 'RABBITMQ_DEFAULT_VHOST',
  RABBITMQ_URI: 'RABBITMQ_URI',

  REDIS_HOST: 'REDIS_HOST',
  REDIS_PORT: 'REDIS_PORT',
  REDIS_USERNAME: 'REDIS_USERNAME',
  REDIS_PASSWORD: 'REDIS_PASSWORD',
  REDIS_DATABASE: 'REDIS_DATABASE',

  S3_ENDPOINT: 'S3_ENDPOINT',
  S3_PUBLIC_ENDPOINT: 'S3_PUBLIC_ENDPOINT',
  S3_BUCKET_NAME: 'S3_BUCKET_NAME',
  S3_ACCESS_KEY_ID: 'S3_ACCESS_KEY_ID',
  S3_SECRET_ACCESS_KEY: 'S3_SECRET_ACCESS_KEY',
  S3_REGION: 'S3_REGION',
};
